%define name 	multisync
%define version 0.91.0
%define release %mkrel 1

Name: 		%{name}
Summary: 	Tool to synchronize PIM data on many devices
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-gui-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Source4:        %{name}.desktop
Source5:        msynctool-0.20.tar.bz2
Patch0:         multisync-rpath.patch
Patch1:         multisync-configure.patch

URL:		http://www.opensync.org
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:  libxml2-devel
BuildRequires:	libopensync-devel
BuildRequires:  libopensync-plugin-evolution2-devel
BuildRequires:	libgnomeui2-devel libglade2.0-devel
BuildRequires:	sqlite3-devel
BuildRequires:	chrpath
BuildRequires:	dos2unix
BuildRequires:  python
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
MultiSync is a program to synchronize calendars, addressbooks and other PIM
data between programs on your computer and other computers, mobile devices,
PDAs or cell phones. It relies on the OpenSync framework to do the actual
synchronisation.

%package gui
Summary:  GUI interface for multisync
Group:    Communications
Requires: %{name} = %{version}-%{release}

%description gui
Graphical User Interface for multisync

%prep
%setup -q -n multisync-gui-%{version}
tar jxvf %{SOURCE5}
%patch0
%patch1
dos2unix SConstruct
echo "env.Append(CCFLAGS = '$RPM_OPT_FLAGS')" >> SConstruct

%build
# both don't like smp flags so disable them for now
./configure --prefix=%{_prefix} -v
%{__make}

# build gui
cd msynctool-0.20
%configure --disable-static --disable-rpath
%{__make}

%install
rm -fr $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
cd msynctool-0.20
%makeinstall

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

#mv $RPM_BUILD_ROOT/%{_bindir}/multisync{0.91,}

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Mandriva\
  %{SOURCE4}

sed -e's/multisync.png/\/usr\/share\/pixmaps\/multisync\/multisync.png/' -i \
$RPM_BUILD_ROOT%{_datadir}/%{name}/multisync.glade

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root,-)
%doc msynctool-0.20/{AUTHORS,ChangeLog,COPYING,NEWS,README,TODO}
%{_bindir}/convcard
%{_bindir}/msynctool
%{_mandir}/man1/convcard*
%{_mandir}/man1/msynctool*

%files gui
%defattr(-, root, root,-)
%doc COPYING
%{_bindir}/multisync
%{_datadir}/multisync/
%{_datadir}/pixmaps/multisync/
%{_datadir}/applications/*desktop


%changelog
* Wed Sep 05 2007 Jérôme Soyer <saispo@mandriva.org> 0.91.0-1mdv2008.0
+ Revision: 80380
- Change group
- Add BR
- Add libglade
- Add Python
- Add dos2unix
- New release 0.91.0
- Import multisync



* Mon Dec 5 2005 Austin Acton <austin@mandriva.org> 0.90.18-1mdk
- move to opensync based version

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.82.20041130-4mdk
- rebuild for ldap

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.82.20041130-3mdk 
- Rebuild with latest howl
- Remove ldconfig call, they aren't needed for dlopened plugins

* Mon Jan 03 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.82.20041130-2mdk
- buildrequires (including wbxml2 for Nokia 6600 support)
- make the plugins conflict with the obsoleted lib package (where they were
  before)

* Wed Dec 29 2004 Austin Acton <austin@mandrake.org> 0.82.20041130-1mdk
- move to cvs to get evolution2 plugin
- configure 2.5
- remove openobex header hack
- fix autoreconf
- add gnokii plugin
- add kdepim plugin
- fix menu

* Sat Aug 14 2004 Austin Acton <austin@mandrake.org> 0.82-4mdk
- re-enable bluetooth build, without sdp (Charles Bovy)

* Fri Jul 2 2004 Austin Acton <austin@mandrake.org> 0.82-3mdk
- fix stupid bluetooth mistake (thanks to Tobias Haf)
- disable bluetooth for now (won't compile)

* Fri May 14 2004 Austin Acton <austin@mandrake.org> 0.82-2mdk
- fix pointer to plugin dir

* Wed Apr 21 2004 Austin Acton <austin@mandrake.org> 0.82-1mdk
- 0.82
- split plugins into separate packages
- delib buildrequires
- disable evolution until it supports 1.5

* Tue Mar 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.81-3mdk
- Rebuild against latest gtkhtml/gal

* Mon Dec 15 2003 Austin Acton <austin@linux.ca> 0.81-2mdk
- buildrequires curl and pisock (Dirk Siebnich)

* Sat Dec 6 2003 Austin Acton <austin@linux.ca> 0.81-1mdk
- 0.81
- add palm plugin

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 0.80-1mdk
- 0.80
- many fixes

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.72-3mdk
- DIRM

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.72-2mdk
- buildrelease for libgal23

* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 0.72-1mdk
- initial package
